<?php

/**
 * @author Karsten Deubert <info@deubert.it>
 */

define('STATE_OK', 0);
define('STATE_WARNING', 1);
define('STATE_CRITICAL', 2);
define('STATE_UNKNOWN', 3);

/**
 * @param array $options
 * @param string $usageString
 * @param array $requiredKeys
 */
function validateParameters($options, $usageString, $requiredKeys)
{
    foreach ($requiredKeys as $requiredKey)
    {
        if (!array_key_exists($requiredKey, $options)) {
            echo $usageString."\n";
            exit(400);
        }
    }
}
